Subject: MI summary

From: [email-masked]
Date: Mon, 29 Mar 1993 11:38:00 -0800

Okay.  I've read a lot about the idea of MI for MOO server code.  Now who is 
willing to do it?
If it can successfully be written to support MI, only a new MOO could run it, 
but that's beside the point.
My idea of multiple verbs with the same name, pass().
Make pass work not jus for tje parent of itself, but all parents.
If a MOO is made from the beginning with all this in mind, then there will be no 
conflicts.  It's programmer's will know about the MI and how it works and make 
sure that there is no interference.  (Or am I assuming too much of a 
programmer?)
MI should be transparent in use:
  @create parent1, parent2,... named new-obj-name
  @recreate old-obj as new-parent1, new-parent2,... named new-obj-name
  @chparent old-obj to parent1, parent2,...

I guess i'm assuming too much when i thought an MI engine would be farely easy 
to implement, how foolish of me.

May the schwartz be with you, and live long and perspire.